Update a Fleet Server host
- Base URL
-
https://{kibana_url}
-
PUT
/api/fleet/fleet_server_hosts/{itemId}
Auth
Update a Fleet Server host by ID.
-
Privileges
fleet-settings-all
-
itemId
string
required
-
The ID of the Fleet Server host
-
A required header to protect against CSRF attacks
-
allow_edit
string[] · max items: 100
-
host_urls
string[] · min items: 1 · max items: 10
-
proxy_id
string · default: null
nullable
-
secrets
object
-
-
ssl
object
-
-
agent_key
union anyOf
-
Any of:
-
es_key
union anyOf
-
Any of:
-
ssl
object
nullable
-
-
agent_certificate_authorities
string[] · max items: 10
-
certificate_authorities
string[] · max items: 10
-
client_auth
enum
-
Values:
optional
required
none
-
es_certificate_authorities
string[] · max items: 10
-
item
object
required
-
-
allow_edit
string[] · max items: 100
-
host_urls
string[] · min items: 1 · max items: 10
required
-
is_default
boolean · default: false
-
is_preconfigured
boolean · default: false
-
secrets
object
-
-
ssl
object
-
-
agent_key
union anyOf
-
Any of:
-
es_key
union anyOf
-
Any of:
-
ssl
object
nullable
-
-
agent_certificate_authorities
string[] · max items: 10
-
certificate_authorities
string[] · max items: 10
-
client_auth
enum
-
Values:
optional
required
none
-
es_certificate_authorities
string[] · max items: 10
-
attributes
object
required